import * as cornerstone3D from '@cornerstonejs/core'
import ptScalingMetaDataProvider from './ptScalingMetaDataProvider'

const { calibratedPixelSpacingMetadataProvider } = cornerstone3D.utilities

export default function initProviders() {
  cornerstone3D.metaData.addProvider(
    ptScalingMetaDataProvider.get.bind(ptScalingMetaDataProvider),
    10000
  )
  cornerstone3D.metaData.addProvider(
    calibratedPixelSpacingMetadataProvider.get.bind(
      calibratedPixelSpacingMetadataProvider
    ),
    11000
  )
}
